Skip to main content
GET
/
v1
/
assets
/
{id}
Get asset
curl --request GET \
  --url https://api.runflow.io/v1/assets/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "r2_key": "<string>",
  "url": "<string>",
  "thumbnail_url": "<string>",
  "mime_type": "<string>",
  "size_bytes": 123,
  "asset_type": "<string>",
  "source_type": "<string>",
  "source_id": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by_user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "avatar_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

id
string<uuid>
required

Query Parameters

embed
string | null

Relation embedding. Available values: created_by_user. Use a comma-separated list to request multiple embeds.

Response

The requested asset.

Response shape.

id
string<uuid> | null
org_id
string<uuid> | null
folder_id
string<uuid> | null
name
string | null
r2_key
string | null
url
string | null
thumbnail_url
string | null
mime_type
string | null
size_bytes
integer | null
asset_type
string | null
source_type
string | null
source_id
string | null
created_by
string<uuid> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
deleted_at
string<date-time> | null
deleted_by
string<uuid> | null
created_by_user
EmbedValidator · object

Minimal user shape for embedded user fields.

Includes only display-relevant fields. Excludes sensitive/admin fields: email_verified_at, disabled_at, is_internal, locale_code, timezone.